Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.buffer
Class BufferBuilder

    java.lang.Object
      com.vividsolutions.jts.operation.buffer.BufferBuilder

public class BufferBuilder
extends java.lang.Object

Builds the buffer geometry for a given input geometry and precision model. Allows setting the level of approximation for circular arcs, and the precision model in which to carry out the computation.

When computing buffers in floating point double-precision it can happen that the process of iterated noding can fail to converge (terminate). In this case a TopologyException will be thrown. Retrying the computation in a fixed precision can produce more robust results.

Version:
  1.7

Constructor Summary
`BufferBuilder()` Creates a new BufferBuilder

Method Summary
`Geometry` | `buffer(Geometry g, double distance)`
`protected void` | `insertEdge(Edge e)` Inserted edges are checked to see if an identical edge already exists.
`void` | `setEndCapStyle(int endCapStyle)`
`void` | `setNoder(Noder noder)` Sets the `Noder` to use during noding.
`void` | `setQuadrantSegments(int quadrantSegments)` Sets the number of segments used to approximate a angle fillet
`void` | `setWorkingPrecisionModel(PrecisionModel pm)` Sets the precision model to use during the curve computation and noding, if it is different to the precision model of the Geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferBuilder

    public BufferBuilder()

  Creates a new BufferBuilder

Method Detail

### setQuadrantSegments

    public void setQuadrantSegments(int quadrantSegments)

  Sets the number of segments used to approximate a angle fillet

  Parameters:
    `quadrantSegments` - the number of segments in a fillet for a quadrant

### setWorkingPrecisionModel

    public void setWorkingPrecisionModel(PrecisionModel pm)

  Sets the precision model to use during the curve computation and noding, if it is different to the precision model of the Geometry. If the precision model is less than the precision of the Geometry precision model, the Geometry must have previously been rounded to that precision.

  Parameters:
    `pm` - the precision model to use

### setNoder

    public void setNoder(Noder noder)

  Sets the `Noder` to use during noding. This allows choosing fast but non-robust noding, or slower but robust noding.

  Parameters:
    `noder` - the noder to use

### setEndCapStyle

    public void setEndCapStyle(int endCapStyle)

### buffer

    public Geometry buffer(Geometry g,
                           double distance)

### insertEdge

    protected void insertEdge(Edge e)

  Inserted edges are checked to see if an identical edge already exists. If so, the edge is not inserted, but its label is merged with the existing edge.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD